ODA converter will not install

Post here for help on using FreeCAD's graphical user interface (GUI).
Forum rules
and Helpful information
IMPORTANT: Please click here and read this first, before asking for help

Also, be nice to others! Read the FreeCAD code of conduct!
leong
Posts: 29
Joined: Mon Apr 11, 2016 8:46 pm

ODA converter will not install

Postby leong » Sun Apr 28, 2019 4:21 pm

I was trying 0.19_pre and tried to install the ODA File converter as recommended, but it will not install on my system which is an rpm system. Tried the rpm package and got the error message

Code: Select all

due to unsatisfied TD_3DSolidHistory.tx()(64bit)
Went to the ODA site and found nothing. Also could not register there to ask a question on their forum. Searched the web and found nothing.
If anyone knows what to do let me know. Thankfully I had previously installed the Teigha converter and that still seems to work in 0.19_pre

Code: Select all

Version 0.19
Rev Number: 16502 (Git)
Release date; 2019/04/19 23:15:52
OS: Mageia 6 (KDE//usr/share/xsessions/01plasma)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.16502 (Git) AppImage
Build type: Release
Branch: master
Hash: 06962535fa9ff348acca1b893cc4239908fb8bae
Python version: 3.7.1
Qt version: 5.6.2
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/UnitedStates (en_US)

User avatar
Kunda1
Posts: 5759
Joined: Thu Jan 05, 2017 9:03 pm

Re: ODA converter will not install

Postby Kunda1 » Sat May 04, 2019 1:19 pm

This is concerning. The ODA converter is supposed to replace tiegha. Thanks for posting.
Want to contribute back to FC? Checkout:
#lowhangingfruit | Use the Source, Luke. | How to Help FreeCAD | How to report FC bugs and features
User avatar
NormandC
Posts: 18534
Joined: Sat Feb 06, 2010 9:52 pm
Location: Québec, Canada

Re: ODA converter will not install

Postby NormandC » Sat May 04, 2019 4:23 pm

It's not "supposed to", it already has. But I believe it's actually just a name change along with a newer version.

LibreCAD 2.1.2 can now open DWG files. It opened all the 2D DWG files that I tested (that I had created years ago). Unless LibreCAD can't open some newer DWG files, I don't see the use for the ODA converter - if not considering its batch utility of course.
User avatar
yorik
Site Admin
Posts: 11547
Joined: Tue Feb 17, 2009 9:16 pm
Location: São Paulo, Brazil
Contact:

Re: ODA converter will not install

Postby yorik » Mon May 06, 2019 2:10 pm

I'm sure at some point we'll be able to get rid of ODA. The libreDWG project has also been worked on, and I saw python bindings in the code too (didn't try yet, though). And librecad people are busy separating their dwg library so it could be used too

the ODA converter is basically one executable and a bunch of libraries (.so files), that all live in the same directory. Maybe you could try to extract the RPM manually (I don't know how to do that, but it's certainly possible) and place all the files in a same directory, that might just work?
john.gibbe
Posts: 1
Joined: Mon May 27, 2019 1:23 pm

Re: ODA converter will not install

Postby john.gibbe » Mon May 27, 2019 1:36 pm

I've got the same trouble while using FreeCAD_0.19-16540-Linux-Conda_Py3Qt5_glibc2.12-x86_64.AppImage on Mageia 7.
I resolve it by installing ODA Drawings Explorer before ODA File Converter.
Dwg files now open in FreeCAD, except neither texts nor arrows are shown.
ChrisTom
Posts: 30
Joined: Sat Mar 21, 2015 9:10 am

Re: ODA converter will not install

Postby ChrisTom » Sun Sep 15, 2019 12:08 pm

john.gibbe wrote:
Mon May 27, 2019 1:36 pm
I've got the same trouble while using FreeCAD_0.19-16540-Linux-Conda_Py3Qt5_glibc2.12-x86_64.AppImage on Mageia 7.
I resolve it by installing ODA Drawings Explorer before ODA File Converter.
Dwg files now open in FreeCAD, except neither texts nor arrows are shown.
Does not work for Fedora 30:

Code: Select all

sudo dnf install ~/P/ODADrawingsExplorer_QT5_lnxX64_4.7dll.rpm ~/P/ODAFileConverter_QT5_lnxX64_4.7dll.rpm 
Error: 
 Problem 1: conflicting requests
  - nothing provides TrGL2.txr()(64bit) needed by ODADrawingsExplorer-20.8.0.0-1.x86_64
 Problem 2: package ODAFileConverter-20.8.0.0-1.x86_64 requires DbConstraints.tx()(64bit), but none of the providers can be installed
  - package ODAFileConverter-20.8.0.0-1.x86_64 requires TD_3DSolidHistory.tx()(64bit), but none of the providers can be installed
  - conflicting requests
  - nothing provides TrGL2.txr()(64bit) needed by ODADrawingsExplorer-20.8.0.0-1.x86_64
  
Separate installation of DrawingExplorer at first and ODAFileConverter secondly fails too (in Fedora 30)
User avatar
Kunda1
Posts: 5759
Joined: Thu Jan 05, 2017 9:03 pm

Re: ODA converter will not install

Postby Kunda1 » Sun Sep 15, 2019 12:46 pm

Wonder if hobbes1069 can reproduce this as well?
hobbes1069 wrote:
Hey @hobbes1069 care to check this out?
Want to contribute back to FC? Checkout:
#lowhangingfruit | Use the Source, Luke. | How to Help FreeCAD | How to report FC bugs and features
mr-miky
Posts: 1
Joined: Sat Sep 28, 2019 1:16 pm

Re: ODA converter will not install

Postby mr-miky » Sat Sep 28, 2019 2:11 pm

I did it this way.

Code: Select all

sudo rpm -Uvh --test ODAFileConverter_QT5_lnxX64_4.7dll.rpm 
From here we see that only TD_3DSolidHistory.tx () is missing and the other dependencies are already solved
if there were other dependencies you should satisfy them by installing the packages that provide them.
At this point we force the installation using

Code: Select all

sudo rpm -ivh ODAFileConverter_QT5_lnxX64_4.7dll.rpm --nodeps

Code: Select all

which ODAFileConverter
results : /usr/local/bin/ODAFileConverter

Assuming that TD_3DSolidHistory.tx () is really necessary, I extracted it from ODADrawingsExplorer_QT5_lnxX64_4.7dll.rpm and then copied into:

/usr/local/bin/ODAFileConverter_20.8.0.0/

the permissions on the copied file must be set so that ls -la gives as a result

Code: Select all

-rwxrwxrwx 1 root root 696582 28 Sep 15.03 TD_3DSolidHistory.tx

Code: Select all

sudo chmod 777 /usr/local/bin/ODAFileConverter_20.8.0.0/TD_3DSolidHistory.tx

Code: Select all

sudo chown root:root /usr/local/bin/ODAFileConverter_20.8.0.0/TD_3DSolidHistory.tx
maybe you can even do that, but I haven't tried.

Code: Select all

sudo rpm -ivh ODAFileConverter_QT5_lnxX64_4.7dll.rpm ODADrawingsExplorer_QT5_lnxX64_4.7dll.rpm --nodeps
the dependency TrGL2.txr () (64bit) needed by ODADrawingsExplorer-20.8.0.0-1.x86_64 should remain unresolved but we only need ODAFileConverter ;)
ChrisTom
Posts: 30
Joined: Sat Mar 21, 2015 9:10 am

Re: ODA converter will not install

Postby ChrisTom » Tue Oct 01, 2019 3:40 pm

mr-miky wrote:
Sat Sep 28, 2019 2:11 pm
(..)
maybe you can even do that, but I haven't tried.

Code: Select all

sudo rpm -ivh ODAFileConverter_QT5_lnxX64_4.7dll.rpm ODADrawingsExplorer_QT5_lnxX64_4.7dll.rpm --nodeps
the dependency TrGL2.txr () (64bit) needed by ODADrawingsExplorer-20.8.0.0-1.x86_64 should remain unresolved but we only need ODAFileConverter ;)

The last mr-milky (from above) solution works very well. Thank You. :)
Montoya88
Posts: 30
Joined: Sat Mar 19, 2016 5:06 am

Re: ODA converter will not install

Postby Montoya88 » Sat Oct 05, 2019 6:24 pm

yorik wrote:
Mon May 06, 2019 2:10 pm
I'm sure at some point we'll be able to get rid of ODA. The libreDWG project has also been worked on
Curious: Is that because they'll be able to work the .DXF / .Dwg converting ability of ODA into future versions of FreeCAD?